Package org.apache.calcite.avatica.remote

# Interface HttpClientPoolConfigurable

All Known Implementing Classes:
  `AvaticaCommonsHttpClientImpl`

public interface HttpClientPoolConfigurable
Allows a http connection pool to be provided to enable TLS authentication. On clients with this interface setHttpClientPool() MUST be called before using them.

## Method Summary

Modifier and Type
Method
Description
`void`
`setHttpClientPool(org.apache.hc.client5.http.impl.io.PoolingHttpClientConnectionManager pool)`
Sets a PoolingHttpClientConnectionManager containing the collection of SSL/TLS server keys and truststores to use for HTTPS calls.

## Method Details

### setHttpClientPool

void setHttpClientPool(org.apache.hc.client5.http.impl.io.PoolingHttpClientConnectionManager pool)
Sets a PoolingHttpClientConnectionManager containing the collection of SSL/TLS server keys and truststores to use for HTTPS calls.

Parameters:
  `pool` - The http connection pool